pinkbyte    14/06/03 08:08:38

  Modified:             ChangeLog accel-ppp-1.7.9999.ebuild
  Added:                accel-ppp-1.7.4.ebuild
  Log:
  Version bump, fix compilation with USE='shaper' in live ebuild
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
0x1F357D42)

Revision  Changes    Path
1.6                  net-dialup/accel-ppp/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/ChangeLog?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/ChangeLog?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/ChangeLog?r1=1.5&r2=1.6

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-dialup/accel-ppp/ChangeLog,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- ChangeLog   3 Jun 2014 07:49:17 -0000       1.5
+++ ChangeLog   3 Jun 2014 08:08:37 -0000       1.6
@@ -1,6 +1,12 @@
 # ChangeLog for net-dialup/accel-ppp
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-dialup/accel-ppp/ChangeLog,v 1.5 
2014/06/03 07:49:17 pinkbyte Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-dialup/accel-ppp/ChangeLog,v 1.6 
2014/06/03 08:08:37 pinkbyte Exp $
+
+*accel-ppp-1.7.4 (03 Jun 2014)
+
+  03 Jun 2014; Sergey Popov <[email protected]> +accel-ppp-1.7.4.ebuild,
+  accel-ppp-1.7.9999.ebuild:
+  Version bump, fix compilation with USE='shaper' in live ebuild
 
   03 Jun 2014; Sergey Popov <[email protected]> accel-ppp-1.7.9999.ebuild:
   Switch live ebuild to git-r3 eclass



1.4                  net-dialup/accel-ppp/accel-ppp-1.7.9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.9999.ebuild?rev=1.4&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.9999.ebuild?rev=1.4&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.9999.ebuild?r1=1.3&r2=1.4

Index: accel-ppp-1.7.9999.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.9999.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- accel-ppp-1.7.9999.ebuild   3 Jun 2014 07:49:17 -0000       1.3
+++ accel-ppp-1.7.9999.ebuild   3 Jun 2014 08:08:37 -0000       1.4
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.9999.ebuild,v 1.3 
2014/06/03 07:49:17 pinkbyte Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.9999.ebuild,v 1.4 
2014/06/03 08:08:37 pinkbyte Exp $
 
 EAPI=5
 
@@ -32,6 +32,9 @@
                -e "/echo/d" \
                -e "s: RENAME accel-ppp.conf.dist::" accel-pppd/CMakeLists.txt 
|| die 'sed on accel-pppd/CMakeLists.txt failed'
 
+       sed -i -e '/IF (SHAPER)/s/SHAPER/SHAPER_TBF/' \
+               accel-pppd/extra/CMakeLists.txt || die 'sed on 
accel-pppd/extra/CMakeLists.txt failed'
+
        epatch_user
 }
 



1.1                  net-dialup/accel-ppp/accel-ppp-1.7.4.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.4.ebuild?rev=1.1&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.4.ebuild?rev=1.1&content-type=text/plain

Index: accel-ppp-1.7.4.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: 
/var/cvsroot/gentoo-x86/net-dialup/accel-ppp/accel-ppp-1.7.4.ebuild,v 1.1 
2014/06/03 08:08:37 pinkbyte Exp $

EAPI=5

inherit cmake-utils linux-info

DESCRIPTION="High performance PPTP, PPPoE and L2TP server"
HOMEPAGE="http://accel-ppp.sourceforge.net/";
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug doc postgres radius shaper snmp valgrind"

RDEPEND="postgres? ( dev-db/postgresql-base )
        snmp? ( net-analyzer/net-snmp )
        dev-libs/libpcre
        dev-libs/openssl:0"
DEPEND="${RDEPEND}
        valgrind? ( dev-util/valgrind )"

DOCS=( README )
CONFIG_CHECK="~L2TP ~PPPOE ~PPTP"

src_prepare() {
        sed -i  -e "/mkdir/d" \
                -e "/echo/d" \
                -e "s: RENAME accel-ppp.conf.dist::" accel-pppd/CMakeLists.txt 
|| die 'sed on accel-pppd/CMakeLists.txt failed'

        # TBF shaper is obsolete by upstream, so it's disabled
        sed -i -e '/IF (SHAPER)/s/SHAPER/SHAPER_TBF/' \
                accel-pppd/extra/CMakeLists.txt || die 'sed on 
accel-pppd/extra/CMakeLists.txt failed'

        epatch_user
}

src_configure() {
        # There must be also dev-libs/tomcrypt (TOMCRYPT) as crypto alternative 
to OpenSSL
        local mycmakeargs=(
                -DBUILD_DRIVER=FALSE
                -DCRYPTO=OPENSSL
                $(cmake-utils_use debug MEMDEBUG)
                $(cmake-utils_use postgres LOG_PGSQL)
                $(cmake-utils_use radius RADIUS)
                $(cmake-utils_use shaper SHAPER)
                $(cmake-utils_use snmp NETSNMP)
                $(cmake-utils_use valgrind VALGRIND)
        )

        cmake-utils_src_configure
}

src_install() {
        cmake-utils_src_install

        use doc && dodoc -r rfc

        if use snmp; then
                insinto /usr/share/snmp/mibs
                doins accel-pppd/extra/net-snmp/ACCEL-PPP-MIB.txt
        fi

        newinitd "${FILESDIR}"/${PN}.initd ${PN}d
        newconfd "${FILESDIR}"/${PN}.confd ${PN}d

        dodir /var/log/accel-ppp
}




Reply via email to